# std::swap(std::shared_lock)

From cppreference.com
< cpp‎ | thread‎ | shared lock

template< class Mutex > void swap( shared_lock<Mutex>& lhs, shared_lock<Mutex>& rhs ) noexcept; |  | (since C++14)

Specializes the std::swap algorithm for std::shared_lock. Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | lock wrappers whose states to swap

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps the data members with another shared_lock (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/swap2&oldid=105497"